Bug 49494 - gcc does not accept the -g option.
gcc does not accept the -g option.
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-07-20 06:03 EDT by Need Real Name
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-20 06:27:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-07-20 06:03:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.2) Gecko/20010628

Description of problem:
In many programes I've tried compiling, the -g option does not work. I have
to remove this option to make the prog. work correctly. After doing that
the programe compiles.

How reproducible:

Steps to Reproduce:
1. download samba-tng or cyrus-imapd or midgard (www.midgard-project.org)
2. ./configure ..
3. make

Actual Results:  I get an errormessage saying "-g option not supported" or

Expected Results:  make should run normally.

Additional info:
Comment 1 Jakub Jelinek 2001-07-20 06:27:49 EDT
Can you please provide exact error messages from which it will be clear which
program complains about what and if possible command which was used for it.
gcc certainly supports -g, I use it every day and a big part of the distribution
is built with -g too (and stripped where needed).
Comment 2 Jakub Jelinek 2001-09-06 13:19:04 EDT
CLosed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.